<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="t" uri="/WEB-INF/tab.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
	final String lysateName = request.getParameter("lysate");
	final int index = Values.getInt(request.getParameter("index"));
	final String title = "Edit Qiacube/DNA/RNA/FT details for " + lysateName;
%>
<base:page type="popup" title="<%=title %>">
<base:head 
	scripts="tabcontrol-2.js,~edit_dnarna_details.js,~../reggie-2.js"
	styles="tabcontrol.css"
/>
<base:body>
	<h1><%=title %></h1>

	<div id="page-data"
		data-index="<%=index%>"
	></div>

	<form name="details">

	<t:tabcontrol id="settings"
		subclass="content dialogtabcontrol" 
		position="bottom" remember="true" 
		>
		<t:tab id="details" title="Details">
			<table class="fullform input100">
			<tr>
				<th>Qiacube position</th>
				<td>
					<input type="text" name="qiacubePosition" id="qiacubePosition"
						style="width: 5em;"	maxlength="3"> (1--12)
				</td>
			</tr>
			<tr>
				<th>Lysate total quantity</th>
				<td>
					<input type="text" name="lysateOriginalQuantity" id="lysateOriginalQuantity" 
						style="width: 10em;" maxlength="8"> (µl)
				</td>
			</tr>
			<tr>
				<th class="subprompt">used quantity</th>
				<td>
					<input type="text" name="lysateUsedQuantity" id="lysateUsedQuantity"
						style="width: 10em;" maxlength="8"> (µl)
				</td>
			</tr>
			<tr>
				<th class="subprompt">comment</th>
				<td>
					<input type="text" name="lysateComment" id="lysateComment" maxlength="255">
				</td>
			</tr>
			<tr>
				<th>DNA volume</th>
				<td>
					<input type="text" name="dnaVolume" id="dnaVolume"
						style="width: 10em;" maxlength="8"> (µl)
				</td>
			</tr>
			<tr>
				<th class="subprompt">comment</th>
				<td>
					<input type="text" name="dnaComment" id="dnaComment" maxlength="255">
				</td>
			</tr>
			<tr>
				<th>RNA volume</th>
				<td>
					<input type="text" name="rnaVolume" id="rnaVolume"
						style="width: 10em;" maxlength="8"> (µl)
				</td>
			</tr>
			<tr>
				<th class="subprompt">comment</th>
				<td>
					<input type="text" name="rnaComment" id="rnaComment" maxlength="255">
				</td>
			</tr>
			<tr>
				<th>FT volume</th>
				<td>
					<input type="text" name="ftVolume" id="ftVolume"
						style="width: 10em;" maxlength="8"> (µl)
				</td>
			</tr>
			<tr>
				<th class="subprompt">comment</th>
				<td>
					<input type="text" name="ftComment" id="ftComment" maxlength="255">
				</td>
			</tr>
			<tr class="dynamic">
				<th></th>
				<td></td>
			</tr>
			</table>
		</t:tab>
		
		<t:tab id="reagents" title="Reagents">
			<table class="fullform input100 larger">
			<tr>
				<th>Lysis reagents</th>
				<td></td>
				<td><b>Default</b></td>
			</tr>
			<tr>
				<th class="subprompt">RLT Plus buffer</th>
				<td>
					<input type="text" name="rltPlusBuffer" id="rltPlusBuffer" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="betaMercaptoetanol"
					>
				</td>
				<td id="rltPlusBuffer.default"></td>
			</tr>
			<tr>
				<th class="subprompt">Beta-Mercaptoetanol</th>
				<td>
					<input type="text" name="betaMercaptoetanol" id="betaMercaptoetanol" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="reagentDx"
					>
				</td>
				<td id="betaMercaptoetanol.default"></td>
			</tr>
			<tr>
				<th class="subprompt">Reagent DX</th>
				<td>
					<input type="text" name="reagentDx" id="reagentDx" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="qiaShredderColumn"
					>
				</td>
				<td id="reagentDx.default"></td>
			</tr>
			<tr>
				<th class="subprompt">QIAshredder column</th>
				<td>
					<input type="text" name="qiaShredderColumn" id="qiaShredderColumn" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="allPrepMiniKit"
					>
				</td>
				<td id="qiaShredderColumn.default"></td>
			</tr>
			<tr>
				<th>QiaCube reagents</th>
				<td></td>
				<td></td>
			</tr>
			<tr>
				<th class="subprompt">AllPrep DNA/RNA Mini kit</th>
				<td>
					<input type="text" name="allPrepMiniKit" id="allPrepMiniKit" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="etoh70"
					>
				</td>
				<td id="allPrepMiniKit.default"></td>
			</tr>
			<tr>
				<th class="subprompt">ETOH 70%</th>
				<td>
					<input type="text" name="etoh70" id="etoh70" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="bufferRw1"
					>
				</td>
				<td id="etoh70.default"></td>
			</tr>
			<tr>
				<th class="subprompt">Buffer RW1</th>
				<td>
					<input type="text" name="bufferRw1" id="bufferRw1" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="bufferRpe"
					>
				</td>
				<td id="bufferRw1.default"></td>
			</tr>
			<tr>
				<th class="subprompt">Buffer RPE</th>
				<td>
					<input type="text" name="bufferRpe" id="bufferRpe" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="bufferAw1"
					>
				</td>
				<td id="bufferRpe.default"></td>
			</tr>
			<tr>
				<th class="subprompt">Buffer AW1</th>
				<td>
					<input type="text" name="bufferAw1" id="bufferAw1" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="bufferAw2"
					>
				</td>
				<td id="bufferAw1.default"></td>
			</tr>
			<tr>
				<th class="subprompt">Buffer AW2</th>
				<td>
					<input type="text" name="bufferAw2" id="bufferAw2" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="bufferEb"
					>
				</td>
				<td id="bufferAw2.default"></td>
			</tr>
			<tr>
				<th class="subprompt">Buffer EB</th>
				<td>
					<input type="text" name="bufferEb" id="bufferEb" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="rnaseFreeWater"
					>
				</td>
				<td id="bufferEb.default"></td>
			</tr>
			<tr>
				<th class="subprompt">RNase free water</th>
				<td>
					<input type="text" name="rnaseFreeWater" id="rnaseFreeWater" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="allPrepDnaColumn"
					>
				</td>
				<td id="rnaseFreeWater.default"></td>
			</tr>
			<tr>
				<th class="subprompt">AllPrep DNA Mini Spin Column</th>
				<td>
					<input type="text" name="allPrepDnaColumn" id="allPrepDnaColumn" maxlength="255"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="rneasyColumn"
					>
				</td>
				<td id="allPrepDnaColumn.default"></td>
			</tr>
			<tr>
				<th class="subprompt">RNeasy Mini Spin Column</th>
				<td>
					<input type="text" name="rneasyColumn" id="rneasyColumn" maxlength="255">
				</td>
				<td id="rneasyColumn.default"></td>
			</tr>
			<tr class="dynamic">
				<th></th>
				<td><div class="messagecontainer note">Leave above fields empty to use the default lot numbers.</div></td>
				<td></td>
			</tr>
			</table>
		</t:tab>
	</t:tabcontrol>	
	</form>
	
	<base:buttongroup subclass="dialogbuttons" id="dialogbuttons">
		<base:button id="btnSave" title="Ok" />
		<base:button id="close" title="Cancel" />
	</base:buttongroup>
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>